interface SessionObject {
    id: string;
    /**
     * Start time of current session
     */
    started: number;
    /**
     * Last known activity of the session
     */
    lastActivity: number;
    /**
     * Sequence ID specific to replay updates
     */
    sequenceId: number;
}
interface SessionOptions {
    stickySession?: boolean;
}
export declare class Session {
    /**
     * Session ID
     */
    private _id;
    /**
     * Start time of current session
     */
    private _started;
    /**
     * Last known activity of the session
     */
    private _lastActivity;
    /**
     * Sequence ID specific to replay updates
     */
    private _sequenceId;
    readonly options: Required<SessionOptions>;
    constructor(session?: Partial<SessionObject>, { stickySession }?: SessionOptions);
    get id(): string;
    get started(): number;
    get lastActivity(): number;
    set lastActivity(newDate: number);
    get sequenceId(): number;
    set sequenceId(id: number);
    toJSON(): SessionObject;
}
export {};
