import { RRWebEvent } from './types';
interface CreateEventBufferParams {
    useCompression: boolean;
}
export declare function createEventBuffer({ useCompression }: CreateEventBufferParams): EventBufferCompressionWorker | EventBufferArray;
export interface IEventBuffer {
    get length(): number;
    destroy(): void;
    addEvent(event: RRWebEvent, isCheckout?: boolean): void;
    finish(): Promise<string | Uint8Array>;
}
declare class EventBufferArray implements IEventBuffer {
    events: RRWebEvent[];
    constructor();
    destroy(): void;
    get length(): number;
    addEvent(event: RRWebEvent, isCheckout?: boolean): void;
    finish(): Promise<string>;
}
export declare class EventBufferCompressionWorker implements IEventBuffer {
    private worker;
    private eventBufferItemLength;
    constructor(worker: Worker);
    init(): void;
    destroy(): void;
    get length(): number;
    addEvent(event: RRWebEvent, isCheckout?: boolean): void;
    sendEventToWorker(event: RRWebEvent): void;
    finish(): Promise<Uint8Array>;
}
export {};
